Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core.jmx
Interface QuartzSchedulerMBean

All Known Implementing Classes:
  QuartzSchedulerMBeanImpl

    public interface QuartzSchedulerMBean

Field Summary
`static String` | `JOB_ADDED`
`static String` | `JOB_DELETED`
`static String` | `JOB_EXECUTION_VETOED`
`static String` | `JOB_SCHEDULED`
`static String` | `JOB_TO_BE_EXECUTED`
`static String` | `JOB_UNSCHEDULED`
`static String` | `JOB_WAS_EXECUTED`
`static String` | `JOBS_PAUSED`
`static String` | `JOBS_RESUMED`
`static String` | `SAMPLED_STATISTICS_ENABLED`
`static String` | `SAMPLED_STATISTICS_RESET`
`static String` | `SCHEDULER_ERROR`
`static String` | `SCHEDULER_PAUSED`
`static String` | `SCHEDULER_SHUTDOWN`
`static String` | `SCHEDULER_STARTED`
`static String` | `SCHEDULING_DATA_CLEARED`
`static String` | `TRIGGER_FINALIZED`
`static String` | `TRIGGERS_PAUSED`
`static String` | `TRIGGERS_RESUMED`

Method Summary
`void` | `addJob(CompositeData jobDetail, boolean replace)`
`void` | `addJob(Map<String,Object> abstractJobInfo, boolean replace)` Adds a durable job described by abstractJobInfo, which must contain the fully-qualified JobDetail class name under the key "jobDetailClass." That JobDetail type must contain a no-arg constructor and have public access.
`void` | `clear()`
`void` | `deleteCalendar(String name)`
`boolean` | `deleteJob(String jobName, String jobGroupName)`
`TabularData` | `getAllJobDetails()`
`List<CompositeData>` | `getAllTriggers()`
`List<String>` | `getCalendarNames()`
`TabularData` | `getCurrentlyExecutingJobs()`
`CompositeData` | `getJobDetail(String jobName, String jobGroupName)`
`List<String>` | `getJobGroupNames()`
`List<String>` | `getJobNames(String groupName)`
`long` | `getJobsCompletedMostRecentSample()`
`long` | `getJobsExecutedMostRecentSample()`
`long` | `getJobsScheduledMostRecentSample()`
`String` | `getJobStoreClassName()`
`Set<String>` | `getPausedTriggerGroups()`
`Map<String,Long>` | `getPerformanceMetrics()`
`String` | `getSchedulerInstanceId()`
`String` | `getSchedulerName()`
`String` | `getThreadPoolClassName()`
`int` | `getThreadPoolSize()`
`CompositeData` | `getTrigger(String triggerName, String triggerGroupName)`
`List<String>` | `getTriggerGroupNames()`
`List<String>` | `getTriggerNames(String triggerGroupName)`
`List<CompositeData>` | `getTriggersOfJob(String jobName, String jobGroupName)`
`String` | `getTriggerState(String triggerName, String triggerGroupName)`
`String` | `getVersion()`
`boolean` | `interruptJob(String fireInstanceId)`
`boolean` | `interruptJob(String jobName, String jobGroupName)`
`boolean` | `isSampledStatisticsEnabled()`
`boolean` | `isShutdown()`
`boolean` | `isStandbyMode()`
`boolean` | `isStarted()`
`void` | `pauseAllTriggers()`
`void` | `pauseJob(String jobName, String groupName)`
`void` | `pauseJobGroup(String jobGroup)`
`void` | `pauseJobsAll()` Pause all jobs whose group is anything
`void` | `pauseJobsContaining(String jobGroupToken)` Pause all jobs whose group contains jobGroupToken
`void` | `pauseJobsEndingWith(String jobGroupSuffix)` Pause all jobs whose group ends with jobGroupSuffix
`void` | `pauseJobsStartingWith(String jobGroupPrefix)` Pause all jobs whose group starts with jobGroupPrefix
`void` | `pauseTrigger(String triggerName, String triggerGroupName)`
`void` | `pauseTriggerGroup(String triggerGroup)`
`void` | `pauseTriggersAll()` Pause all triggers whose group is anything
`void` | `pauseTriggersContaining(String triggerGroupToken)` Pause all triggers whose group contains triggerGroupToken
`void` | `pauseTriggersEndingWith(String suffix)` Pause all triggers whose group ends with triggerGroupSuffix
`void` | `pauseTriggersStartingWith(String triggerGroupPrefix)` Pause all triggers whose group starts with triggerGroupPrefix
`void` | `resumeAllTriggers()`
`void` | `resumeJob(String jobName, String jobGroupName)`
`void` | `resumeJobGroup(String jobGroup)` Resume all jobs in the given group
`void` | `resumeJobsAll()` Resume all jobs whose group is anything
`void` | `resumeJobsContaining(String jobGroupToken)` Resume all jobs whose group contains jobGroupToken
`void` | `resumeJobsEndingWith(String jobGroupSuffix)` Resume all jobs whose group ends with jobGroupSuffix
`void` | `resumeJobsStartingWith(String jobGroupPrefix)` Resume all jobs whose group starts with jobGroupPrefix
`void` | `resumeTrigger(String triggerName, String triggerGroupName)`
`void` | `resumeTriggerGroup(String triggerGroup)`
`void` | `resumeTriggersAll()` Resume all triggers whose group is anything
`void` | `resumeTriggersContaining(String triggerGroupToken)` Resume all triggers whose group contains triggerGroupToken
`void` | `resumeTriggersEndingWith(String triggerGroupSuffix)` Resume all triggers whose group ends with triggerGroupSuffix
`void` | `resumeTriggersStartingWith(String triggerGroupPrefix)` Resume all triggers whose group starts with triggerGroupPrefix
`void` | `scheduleBasicJob(Map<String,Object> jobDetailInfo, Map<String,Object> triggerInfo)` Schedules a job using the given Cron/Simple triggerInfo.
`void` | `scheduleJob(Map<String,Object> abstractJobInfo, Map<String,Object> abstractTriggerInfo)` Schedules an arbitrary job described by abstractJobInfo using a trigger specified by abstractTriggerInfo.
`void` | `scheduleJob(String jobName, String jobGroup, Map<String,Object> abstractTriggerInfo)` Schedules the specified job using a trigger described by abstractTriggerInfo, which must contain the fully-qualified trigger class name under the key "triggerClass." That trigger type must contain a no-arg constructor and have public access.
`Date` | `scheduleJob(String jobName, String jobGroup, String triggerName, String triggerGroup)` Schedule an existing job with an existing trigger.
`void` | `setSampledStatisticsEnabled(boolean enabled)`
`void` | `shutdown()`
`void` | `standby()`
`void` | `start()`
`void` | `triggerJob(String jobName, String jobGroupName, Map<String,String> jobDataMap)`
`boolean` | `unscheduleJob(String triggerName, String triggerGroup)`

Field Detail

### SCHEDULER_STARTED

    static final String SCHEDULER_STARTED

See Also:
  Constant Field Values

### SCHEDULER_PAUSED

    static final String SCHEDULER_PAUSED

See Also:
  Constant Field Values

### SCHEDULER_SHUTDOWN

    static final String SCHEDULER_SHUTDOWN

See Also:
  Constant Field Values

### SCHEDULER_ERROR

    static final String SCHEDULER_ERROR

See Also:
  Constant Field Values

### JOB_ADDED

    static final String JOB_ADDED

See Also:
  Constant Field Values

### JOB_DELETED

    static final String JOB_DELETED

See Also:
  Constant Field Values

### JOB_SCHEDULED

    static final String JOB_SCHEDULED

See Also:
  Constant Field Values

### JOB_UNSCHEDULED

    static final String JOB_UNSCHEDULED

See Also:
  Constant Field Values

### JOBS_PAUSED

    static final String JOBS_PAUSED

See Also:
  Constant Field Values

### JOBS_RESUMED

    static final String JOBS_RESUMED

See Also:
  Constant Field Values

### JOB_EXECUTION_VETOED

    static final String JOB_EXECUTION_VETOED

See Also:
  Constant Field Values

### JOB_TO_BE_EXECUTED

    static final String JOB_TO_BE_EXECUTED

See Also:
  Constant Field Values

### JOB_WAS_EXECUTED

    static final String JOB_WAS_EXECUTED

See Also:
  Constant Field Values

### TRIGGER_FINALIZED

    static final String TRIGGER_FINALIZED

See Also:
  Constant Field Values

### TRIGGERS_PAUSED

    static final String TRIGGERS_PAUSED

See Also:
  Constant Field Values

### TRIGGERS_RESUMED

    static final String TRIGGERS_RESUMED

See Also:
  Constant Field Values

### SCHEDULING_DATA_CLEARED

    static final String SCHEDULING_DATA_CLEARED

See Also:
  Constant Field Values

### SAMPLED_STATISTICS_ENABLED

    static final String SAMPLED_STATISTICS_ENABLED

See Also:
  Constant Field Values

### SAMPLED_STATISTICS_RESET

    static final String SAMPLED_STATISTICS_RESET

See Also:
  Constant Field Values

Method Detail

### getSchedulerName

    String getSchedulerName()

### getSchedulerInstanceId

    String getSchedulerInstanceId()

### isStandbyMode

    boolean isStandbyMode()

### isShutdown

    boolean isShutdown()

### getVersion

    String getVersion()

### getJobStoreClassName

    String getJobStoreClassName()

### getThreadPoolClassName

    String getThreadPoolClassName()

### getThreadPoolSize

    int getThreadPoolSize()

### getJobsScheduledMostRecentSample

    long getJobsScheduledMostRecentSample()

### getJobsExecutedMostRecentSample

    long getJobsExecutedMostRecentSample()

### getJobsCompletedMostRecentSample

    long getJobsCompletedMostRecentSample()

### getPerformanceMetrics

    Map<String,Long> getPerformanceMetrics()

### getCurrentlyExecutingJobs

    TabularData getCurrentlyExecutingJobs()
                                          throws Exception

  Returns:
    TabularData of CompositeData:JobExecutionContext
  Throws:
    `Exception`

### getAllJobDetails

    TabularData getAllJobDetails()
                                 throws Exception

  Returns:
    TabularData of CompositeData:JobDetail
  Throws:
    `Exception`
  See Also:
    `JobDetailSupport`

### getAllTriggers

    List<CompositeData> getAllTriggers()
                                       throws Exception

  Returns:
    List of CompositeData:[CronTrigger|SimpleTrigger]
  Throws:
    `Exception`
  See Also:
    `TriggerSupport`

### getJobGroupNames

    List<String> getJobGroupNames()
                                  throws Exception

  Throws:
    `Exception`

### getJobNames

    List<String> getJobNames(String groupName)
                             throws Exception

  Throws:
    `Exception`

### getJobDetail

    CompositeData getJobDetail(String jobName,
                               String jobGroupName)
                               throws Exception

  Returns:
    CompositeData:JobDetail
  Throws:
    `Exception`
  See Also:
    `JobDetailSupport`

### isStarted

    boolean isStarted()

### start

    void start()
               throws Exception

  Throws:
    `Exception`

### shutdown

    void shutdown()

### standby

    void standby()

### clear

    void clear()
               throws Exception

  Throws:
    `Exception`

### scheduleJob

    Date scheduleJob(String jobName,
                     String jobGroup,
                     String triggerName,
                     String triggerGroup)
                     throws Exception

  Schedule an existing job with an existing trigger.

  Parameters:
    `jobName` -
    `jobGroup` -
    `triggerName` -
    `triggerGroup` -
  Returns:
    date of nextFireTime
  Throws:
    `Exception`

### scheduleBasicJob

    void scheduleBasicJob(Map<String,Object> jobDetailInfo,
                          Map<String,Object> triggerInfo)
                          throws Exception

  Schedules a job using the given Cron/Simple triggerInfo. The triggerInfo and jobDetailInfo must contain well-known attribute values. TriggerInfo attributes: name, group, description, calendarName, priority, CronExpression | (startTime, endTime, repeatCount, repeatInterval) JobDetailInfo attributes: name, group, description, jobClass, jobDataMap, durability, shouldRecover

  Throws:
    `Exception`

### scheduleJob

    void scheduleJob(Map<String,Object> abstractJobInfo,
                     Map<String,Object> abstractTriggerInfo)
                     throws Exception

  Schedules an arbitrary job described by abstractJobInfo using a trigger specified by abstractTriggerInfo. AbtractTriggerInfo and AbstractJobInfo must contain the following String attributes. AbstractTriggerInfo: triggerClass, the fully-qualified class name of a concrete Trigger type AbstractJobInfo: jobDetailClass, the fully-qualified class name of a concrete JobDetail type If the Trigger and JobDetail can be successfully instantiated, the remaining attributes will be reflectively applied to those instances. The remaining attributes are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are further limited to containing values from the same set of types, less Map itself.

  Throws:
    `Exception`

### scheduleJob

    void scheduleJob(String jobName,
                     String jobGroup,
                     Map<String,Object> abstractTriggerInfo)
                     throws Exception

  Schedules the specified job using a trigger described by abstractTriggerInfo, which must contain the fully-qualified trigger class name under the key "triggerClass." That trigger type must contain a no-arg constructor and have public access. Other attributes are applied reflectively and are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are limited to containing values from the same set of types, less Map itself.

  Parameters:
    `jobName` -
    `jobGroup` -
    `abstractTriggerInfo` -
  Throws:
    `Exception`

### unscheduleJob

    boolean unscheduleJob(String triggerName,
                          String triggerGroup)
                          throws Exception

  Throws:
    `Exception`

### interruptJob

    boolean interruptJob(String jobName,
                         String jobGroupName)
                         throws Exception

  Throws:
    `Exception`

### interruptJob

    boolean interruptJob(String fireInstanceId)
                         throws Exception

  Throws:
    `Exception`

### triggerJob

    void triggerJob(String jobName,
                    String jobGroupName,
                    Map<String,String> jobDataMap)
                    throws Exception

  Throws:
    `Exception`

### deleteJob

    boolean deleteJob(String jobName,
                      String jobGroupName)
                      throws Exception

  Throws:
    `Exception`

### addJob

    void addJob(CompositeData jobDetail,
                boolean replace)
                throws Exception

  Throws:
    `Exception`

### addJob

    void addJob(Map<String,Object> abstractJobInfo,
                boolean replace)
                throws Exception

  Adds a durable job described by abstractJobInfo, which must contain the fully-qualified JobDetail class name under the key "jobDetailClass." That JobDetail type must contain a no-arg constructor and have public access. Other attributes are applied reflectively and are limited to the types: Integer, Double, Float, String, Boolean, Date, Character, Map. Maps are limited to containing values from the same set of types, less Map itself.

  Parameters:
    `abstractJobInfo` - map of attributes defining job
    `replace` - whether or not to replace a pre-existing job with the same key
  Throws:
    `Exception`

### pauseJobGroup

    void pauseJobGroup(String jobGroup)
                       throws Exception

  Throws:
    `Exception`

### pauseJobsStartingWith

    void pauseJobsStartingWith(String jobGroupPrefix)
                               throws Exception

  Pause all jobs whose group starts with jobGroupPrefix

  Throws:
    `Exception`

### pauseJobsEndingWith

    void pauseJobsEndingWith(String jobGroupSuffix)
                             throws Exception

  Pause all jobs whose group ends with jobGroupSuffix

  Throws:
    `Exception`

### pauseJobsContaining

    void pauseJobsContaining(String jobGroupToken)
                             throws Exception

  Pause all jobs whose group contains jobGroupToken

  Throws:
    `Exception`

### pauseJobsAll

    void pauseJobsAll()
                      throws Exception

  Pause all jobs whose group is anything

  Throws:
    `Exception`

### resumeJobGroup

    void resumeJobGroup(String jobGroup)
                        throws Exception

  Resume all jobs in the given group

  Throws:
    `Exception`

### resumeJobsStartingWith

    void resumeJobsStartingWith(String jobGroupPrefix)
                                throws Exception

  Resume all jobs whose group starts with jobGroupPrefix

  Throws:
    `Exception`

### resumeJobsEndingWith

    void resumeJobsEndingWith(String jobGroupSuffix)
                              throws Exception

  Resume all jobs whose group ends with jobGroupSuffix

  Throws:
    `Exception`

### resumeJobsContaining

    void resumeJobsContaining(String jobGroupToken)
                              throws Exception

  Resume all jobs whose group contains jobGroupToken

  Throws:
    `Exception`

### resumeJobsAll

    void resumeJobsAll()
                       throws Exception

  Resume all jobs whose group is anything

  Throws:
    `Exception`

### pauseJob

    void pauseJob(String jobName,
                  String groupName)
                  throws Exception

  Throws:
    `Exception`

### resumeJob

    void resumeJob(String jobName,
                   String jobGroupName)
                   throws Exception

  Throws:
    `Exception`

### getTriggerGroupNames

    List<String> getTriggerGroupNames()
                                      throws Exception

  Throws:
    `Exception`

### getTriggerNames

    List<String> getTriggerNames(String triggerGroupName)
                                 throws Exception

  Throws:
    `Exception`

### getTrigger

    CompositeData getTrigger(String triggerName,
                             String triggerGroupName)
                             throws Exception

  Throws:
    `Exception`

### getTriggerState

    String getTriggerState(String triggerName,
                           String triggerGroupName)
                           throws Exception

  Throws:
    `Exception`

### getTriggersOfJob

    List<CompositeData> getTriggersOfJob(String jobName,
                                         String jobGroupName)
                                         throws Exception

  Returns:
    List of CompositeData:[CronTrigger|SimpleTrigger] for the specified job.
  Throws:
    `Exception`
  See Also:
    `TriggerSupport`

### getPausedTriggerGroups

    Set<String> getPausedTriggerGroups()
                                       throws Exception

  Throws:
    `Exception`

### pauseAllTriggers

    void pauseAllTriggers()
                          throws Exception

  Throws:
    `Exception`

### resumeAllTriggers

    void resumeAllTriggers()
                           throws Exception

  Throws:
    `Exception`

### pauseTriggerGroup

    void pauseTriggerGroup(String triggerGroup)
                           throws Exception

  Throws:
    `Exception`

### pauseTriggersStartingWith

    void pauseTriggersStartingWith(String triggerGroupPrefix)
                                   throws Exception

  Pause all triggers whose group starts with triggerGroupPrefix

  Throws:
    `Exception`

### pauseTriggersEndingWith

    void pauseTriggersEndingWith(String suffix)
                                 throws Exception

  Pause all triggers whose group ends with triggerGroupSuffix

  Throws:
    `Exception`

### pauseTriggersContaining

    void pauseTriggersContaining(String triggerGroupToken)
                                 throws Exception

  Pause all triggers whose group contains triggerGroupToken

  Throws:
    `Exception`

### pauseTriggersAll

    void pauseTriggersAll()
                          throws Exception

  Pause all triggers whose group is anything

  Throws:
    `Exception`

### resumeTriggerGroup

    void resumeTriggerGroup(String triggerGroup)
                            throws Exception

  Throws:
    `Exception`

### resumeTriggersStartingWith

    void resumeTriggersStartingWith(String triggerGroupPrefix)
                                    throws Exception

  Resume all triggers whose group starts with triggerGroupPrefix

  Throws:
    `Exception`

### resumeTriggersEndingWith

    void resumeTriggersEndingWith(String triggerGroupSuffix)
                                  throws Exception

  Resume all triggers whose group ends with triggerGroupSuffix

  Throws:
    `Exception`

### resumeTriggersContaining

    void resumeTriggersContaining(String triggerGroupToken)
                                  throws Exception

  Resume all triggers whose group contains triggerGroupToken

  Throws:
    `Exception`

### resumeTriggersAll

    void resumeTriggersAll()
                           throws Exception

  Resume all triggers whose group is anything

  Throws:
    `Exception`

### pauseTrigger

    void pauseTrigger(String triggerName,
                      String triggerGroupName)
                      throws Exception

  Throws:
    `Exception`

### resumeTrigger

    void resumeTrigger(String triggerName,
                       String triggerGroupName)
                       throws Exception

  Throws:
    `Exception`

### getCalendarNames

    List<String> getCalendarNames()
                                  throws Exception

  Throws:
    `Exception`

### deleteCalendar

    void deleteCalendar(String name)
                        throws Exception

  Throws:
    `Exception`

### setSampledStatisticsEnabled

    void setSampledStatisticsEnabled(boolean enabled)

### isSampledStatisticsEnabled

    boolean isSampledStatisticsEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.